Name:           pdf2svg
Version:        0.2.3
Release:        1
Summary:        Small tool to convert PDF files into SVG
Group:          Applications/File
License:        GPLv2+
URL:            http://www.cityinthesky.co.uk/pdf2svg.html
Source0:        http://www.cityinthesky.co.uk/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  poppler-glib-devel >= 0.22.5-1
BuildRequires:  cairo-devel >= 1.12.18-1
BuildRequires:  glib2-devel >= 2.28.8-1
BuildRequires:  gtk2-devel >= 2.20.1-2

Requires:       poppler-glib >= 0.22.5-1
Requires:       cairo >= 1.12.18-1
Requires:       glib2 >= 2.28.8-1
Requires:       gtk2 >= 2.20.1-2

%description
A small tool to convert PDF files into SVG using poppler and cairo.


%prep
%setup -q


%build
export CC=xlc_r

./configure \
    --prefix=%{_prefix}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc COPYING AUTHORS ChangeLog
%{_bindir}/*
/usr/bin/*


%changelog
* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 0.2.3-1
- updated to version 0.2.3

* Wed Jul 31 2013 Michael Perzl <michael@perzl.org> - 0.2.2-1
- first version for AIX V5.1 and higher
